JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XID

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.unix.X11.XID

All Implemented Interfaces:
  NativeMapped, Serializable

Direct Known Subclasses:
  X11.Atom, X11.Colormap, X11.Cursor, X11.Drawable, X11.Font, X11.KeySym

Enclosing interface:
  X11

    public static class X11.XID

extends NativeLong

See Also:
  Serialized Form

Field Summary
`static X11.XID` | `None`

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`X11.XID()`
`X11.XID(long id)`

Method Summary
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`protected boolean` | `isNone(Object o)`
`String` | `toString()`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final X11.XID None

Constructor Detail

### X11.XID

    public X11.XID()

### X11.XID

    public X11.XID(long id)

Method Detail

### isNone

    protected boolean isNone(Object o)

### fromNative

    public Object fromNative(Object nativeValue,
                             FromNativeContext context)

  Description copied from interface: `NativeMapped`
  Convert the given native object into its Java representation using the given context.

  Specified by:
    `fromNative` in interface `NativeMapped`
  Overrides:
    `fromNative` in class `IntegerType`

### toString

    public String toString()

  Overrides:
    `toString` in class `IntegerType`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.